<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="color-scheme" content="light" />

        <link rel="icon" href="img/logo.png">

        <meta name="format-detection" content="telephone=no">
        <meta name="msapplication-tap-highlight" content="no">
        <meta name="viewport" content="initial-scale=1, width=device-width, viewport-fit=cover">

        <!-- Настройки безопасности кордовы, здесь настраивается могут ли выполняться и нлайн скрипты, -->
        <!-- переходы по ссылке, удаленный доступ к библиотекам и АПИ и т.д. -->
        <meta http-equiv="Content-Security-Policy" content="default-src *; style-src 'self' 'unsafe-inline' https://unpkg.com/leaflet@1.7.1/dist;
            script-src 'self' 'unsafe-inline' 'unsafe-eval' *; img-src 'self' data: *;">

        <link rel="stylesheet" href="css/bootstrap.min.css">

        <script src="js/jquery341.js"></script>
        <script src="js/popper.js"></script>
        <script src="js/bootstrap.min.js"></script>

        <script src="js/fontawesome.js"></script>
        <script src="js/moment.js"></script>

        <!-- Очень важная ссылка, иначе не будут работать плагины cordova.js -->
        <script type="text/javascript" src="cordova.js"></script>

        <script type="text/javascript" src="js/plan.js"></script>


        <link rel="stylesheet" href="css/index.css">
        <link rel="stylesheet" href="css/preloader.css" >
        <link rel="stylesheet" href="css/style.css">

        <script>
            document.addEventListener("DOMContentLoaded", function(event) {
                localStorage.setItem('itemId', -1);
                localStorage.setItem('itemIter', -1);
                localStorage.setItem('worklist_id', -1);

                var html =
                    '<li class="nav-item">\n' +
                    '<a class="nav-link" href="taskList.html">Список задач</a>\n' +
                    '</li>\n' +
                    '<li class="nav-item">\n' +
                    '<a class="nav-link" href="staffMap.html">Местонахождение</a>\n' +
                    '</li>';
                $('#menuList').empty();
                $('#menuList').append(html);

            });

            $(function(){
                var includes = $('[data-include]');
                jQuery.each(includes, function(){
                    var file = '' + $(this).data('include') + '.html';
                    $(this).load(file);
                });
            });
        </script>

        <style>

            .dropdown-toggle::after {
                display: inline-block;
                width: 0;
                height: 0;
                margin-left: .255em;
                vertical-align: .255em;
                content: "";
                border-top: .3em solid;
                border-right: .3em solid transparent;
                border-bottom: 0;
                border-left: .3em solid transparent;
                float: right;
            }
            .btn:hover, .btn:focus, .btn:active, .btn.active, .open .dropdown-toggle.btn {
                /*background-color: rgba(255, 255, 255, 0.59) !important;*/
                background-repeat: repeat-x;
                background-image: linear-gradient(#55555505, #ffffff00);
                color: rgba(250, 250, 250, 0.8) !important;
            }
            .container .dropdown-menu {

                /*transform: translate3d(5px, 65px, 0px) !important; !*Mandatory condition to force dropdown be at bottom only*!*/

                position: static;
                float: none;
            }
        </style>


        <title>АСКУЭ «РЖД»</title>
    </head>
    <body>

    <div>
        <div id="cover" class="loading"></div>
    </div>

    <!-- Меню -->
    <!-- ----------------------------------------------------------------------------------------------- -->
    <div data-include="menuBar"></div>
    <!-- Конец меню -->
    <!-- ----------------------------------------------------------------------------------------------- -->

    <h3>План работ</h3>
    <!-- Calendar -->
    <!--    LVM 12.02.2021 Закомментирован календарь-->
    <!--    <div id="calendar" style="background-color:#fafafa"></div>-->
    <input type="hidden" id="pageCounter" value="0">
    <input type="hidden" id="dataCounter" value="0">
    <div id = "plan">
<!--        <h3>Список </h3>-->

        <div class="d-flex">
            <div class="p-2 flex-fill">

                <div class="form-group" id="fgPlanFilter">
                    <!-- ВЫБОР СТАТУСА ПЛАНА ------------------------------------------------------------------------------- -->
                    <div class="dropdown">
                        <div class="d-flex justify-content-start">
                            <small for="bSelectTeam" style="color: dimgray">Статус плана:</small>
                        </div>
                        <button
                                class="btn btn-outline-secondary dropdown-toggle"
                                type="button"
                                data-toggle="dropdown"
                                id="bPlanStatus"
                                aria-haspopup="true"
                                aria-expanded="false"
                                data-display="static"
                                style="margin-top: 10px; text-align: left; width: 100% !important;" >Выбор статуса
                            <span class="caret"></span>
                        </button>
                        <ul class="dropdown-menu">
                            <div onclick="setTeamStatus('ALL')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">Все</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->
                            <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.2); margin: 15px 20px 15px 20px;"></div>
                            <div onclick="setTeamStatus('SCHEDULED')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">Запланировано</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->
                            <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.2); margin: 15px 20px 15px 20px;"></div>
                            <div onclick="setTeamStatus('COMPLETED')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">Завершено</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->
                            <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.2); margin: 15px 20px 15px 20px;"></div>
                            <div onclick="setTeamStatus('COMPLETED_WITH_REMARK')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">Завершено с замечаниями</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->
                            <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.2); margin: 15px 20px 15px 20px;"></div>
                            <div onclick="setTeamStatus('SUSPENDED')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">Приостановлено</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->









                            <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.2); margin: 15px 20px 15px 20px;"></div>
                            <div onclick="setTeamStatus('IN_APPROVE')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">На утверждении</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->
                            <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.2); margin: 15px 20px 15px 20px;"></div>
                            <div onclick="setTeamStatus('ACCEPTED')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">Принято</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->
                            <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.2); margin: 15px 20px 15px 20px;"></div>
                            <div onclick="setTeamStatus('AGREED')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">Согласовано</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->
                            <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.2); margin: 15px 20px 15px 20px;"></div>
                            <div onclick="setTeamStatus('IN_PROGRESS')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">В работе</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->
                            <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.2); margin: 15px 20px 15px 20px;"></div>
                            <div onclick="setTeamStatus('UNKNOWN')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">Не определено</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->


                        </ul>
                    </div>
                    <br>

                    <!-- ВЫБОР СРОКА ПЛАНА --------------------------------------------------------------------------------- -->
                    <div class="dropdown">
                        <div class="d-flex justify-content-start">
                            <small for="bSelectTerms" style="color: dimgray">План на:</small>
                        </div>
                        <button
                                class="btn btn-outline-secondary dropdown-toggle"
                                type="button"
                                data-toggle="dropdown"
                                id="bSelectTerms"
                                aria-haspopup="true"
                                aria-expanded="false"
                                data-display="static"
                                style="margin-top: 10px; text-align: left; width: 100% !important;">Выбор срока
                            <span class="caret"></span>
                        </button>
                        <ul class="dropdown-menu" style="">
                            <div onclick="setTeamTerms('ALL')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">Все</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->
                            <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.2); margin: 15px 20px 15px 20px;"></div>
                            <div onclick="setTeamTerms('today')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">На сегодня</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->
                            <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.2); margin: 15px 20px 15px 20px;"></div>
                            <div onclick="setTeamTerms('on_week')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">На неделю начиная с сегодня</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->
                            <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.2); margin: 15px 20px 15px 20px;"></div>
                            <div onclick="setTeamTerms('all_week')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">На неделю начиная с начала недели</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->
                            <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.2); margin: 15px 20px 15px 20px;"></div>
                            <div onclick="setTeamTerms('on_month')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">На текущий месяц начиная с сегодня</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->
                            <div class="dropdown-divider" style="border-color: rgba(0, 0, 0, 0.2); margin: 15px 20px 15px 20px;"></div>
                            <div onclick="setTeamTerms('all_month')">
                                <li><a href="#" style="margin-left: 10px; color: dimgray; position: initial;">На весь текущий месяц</a></li>
                            </div>
                            <!-- ------------------------------------------------------------------------------------------- -->
                        </ul>
                    </div>

                </div>

            </div>
        </div>

        <div class="p-2 flex-fill">
            <button type="button" onclick="applyPlanFilter()" class="btn btn-outline-secondary" id="bApplyFilter" style="margin-top: 0px; margin-bottom: 20px; width: 100% !important; ">Применить</button>
        </div>

        <ul class="list-group list-group-flush" id="planListUL">

        </ul>

    </div>

    <!-- Модальное окно подключения -->
    <!-- ----------------------------------------------------------------------------------------------- -->
    <div class="modal fade" id="modalConns">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">

                <!-- Modal Header -->
                <div class="modal-header">
                    <div class="modal-title">
                        <h4 id="tObjName"></h4>
                        <p id="tObjSt"></p>
                        <h5>Выбор подключения</h5>
                    </div>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="modal-body">
                    <ul class="list-group" id="connList">
                    </ul>
                </div>

                <!-- Modal footer -->
                <div class="modal-footer">

                    <div class="container">
                        <hr>
                        <!-- Фото журналов -->
                        <div class="form-group">
                            <div class="d-flex mb-1"> <!-- mb - container margin property and/or padding, p - padding property of internal container -->
                                <div class="p-2 mr-auto">
                                    <small for="tConnLogPics" class="form-text text-muted">Фото объекта</small>
                                </div>
                                <div class="p-2">
                                    <img src="img/addphoto.png" width="18" height="18"  onclick="getJrnlPicture();">
                                </div>
                            </div>

                            <ul id="tConnLogPics" class="list-group"></ul>

                        </div>

                        <hr>
                        <!-- Управление статусом плана -->
                        <div class="form-group">
                            <!-- Комментарий -->
                            <div class="form-group">
                                <small for="tPlanComment" class="form-text text-muted">Комментарий</small>
                                <textarea class="form-control" name="Comment" id="tPlanComment" rows="3"></textarea>
                            </div>
                            <!-- Конец "Комментарий" -->
                            <!-- ----------------------------------------------------------------------------------------------- -->

                            <div class="d-flex">
                                <button type="button" class="btn btn-outline-success flex-fill" onclick="closePlanIssue(true)" style="margin-right: 3px;">Завершить</button>
                                <button type="button" class="btn btn-outline-warning flex-fill" onclick="closePlanIssue(false)" style="margin-left: 3px;">Приостановить</button>
                            </div>
                            <!-- Конец "Кнопки статуса плана" -->
                            <!-- ----------------------------------------------------------------------------------------------- -->

                            <!-- Кнопка "Отправить неотправленные" -->
                            <br>
<!--                            <div class="form-group">-->
<!--                                <small for="bSaveUnsent">-->
<!--                                    <i class="fas fa-info-circle" style="color: #0069d9"></i>-->
<!--                                    <span style="color: #737577">Функция отправки сохраненных статусов подключений, при отправки которых возникла ошибка.</span>-->
<!--                                </small>-->
<!--                                <div class="d-flex">-->
<!--                                    <button type="button" class="btn btn-outline-primary flex-fill" onclick="sendUnsent('sendreq')" style="margin-top: 5px;" id="bSaveUnsent" disabled>Отправить данные</button>-->
<!--                                </div>-->
<!--&lt;!&ndash;                                <div class="d-flex">&ndash;&gt;-->
<!--&lt;!&ndash;                                    <button type="button" class="btn btn-outline-danger flex-fill" onclick="resetFeederStats()" style="margin-top: 5px;" id="bResetData">Обнулить статусы</button>&ndash;&gt;-->
<!--&lt;!&ndash;                                </div>&ndash;&gt;-->
<!--                            </div>-->

                        </div>
                        <!-- Конец "Футера" -->
                        <!-- ----------------------------------------------------------------------------------------------- -->
                        <hr><br>

                        <div class="form-group">
                            <button type="button" class="btn btn-outline-danger" data-dismiss="modal">Назад</button>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <!-- Конец модального окна подключений -->
    <!-- ----------------------------------------------------------------------------------------------- -->


    </body>
</html>